/************************************************************
 **
 **     Object name : as-rasp.h
 **
 **     Description
 **     -- -- -- -- -- -- -- --
 **     RASPをネットワーク経由で利用するためのAPIにおける
 **     クライアント＆サーバ共通ヘッダファイル
 **
 **     AS-RASP用拡張部（HRI様専用／非公開）
 **
 **
 **     History
 **     -- -- -- -- -- -- -- --
 **     2011.05.06 K.Takagi データフォーマットの24bitモードを共通ヘッダに移動
 **     2011.04.12 K.Takagi 新規作成
 **
 **     Copyright (c) 2011
 **     System In Frontier,Inc.
 **
 **     All rights reserved. 
 **
 **     当社の許可なしに複製および転載を禁ず
 **
 */

/*=========================================================*/
/*               Special Macro Definition                  */
/*=========================================================*/

#ifndef _INCLUDE_AS_RASP_H_
#define _INCLUDE_AS_RSAP_H_

/*=========================================================*/
/*                   Include Files                         */
/*=========================================================*/

/*=========================================================*/
/*                   Macro Definition                      */
/*=========================================================*/

/* 通信対象 */
#define TARGET_TYPE_AS_RASP         0 /* AS-RASP  */
#define TARGET_TYPE_NW_9CSAD        2 /* NW-9CSAD */

/* チャネル数 */
#define AS_RASP_MAX_CH_NUM          10
#define NW_9CSAD_MAX_CH_NUM         9

/* 拡張データフォーマット */
#define DATA_FORMAT_IMA_ADPCM       0x13

/* A/D同期サンプルCH数用 */
#define AD_9CH_MODE                 2    /* CH0 - CH 8同期サンプリング */
#define AD_10CH_MODE                3    /* CH0 - CH 9同期サンプリング */

/* チャネル単位で取り込みを有効にするフラグ */
#define AD_8CH_MODE_CAPTURE_CHANNELS  (AD_CH0_CAPTURE | \
                                       AD_CH1_CAPTURE | \
                                       AD_CH2_CAPTURE | \
                                       AD_CH3_CAPTURE | \
                                       AD_CH4_CAPTURE | \
                                       AD_CH5_CAPTURE | \
                                       AD_CH6_CAPTURE | \
                                       AD_CH7_CAPTURE )

#define AD_9CH_MODE_CAPTURE_CHANNELS  (AD_CH8_CAPTURE | AD_8CH_MODE_CAPTURE_CHANNELS) 
#define AD_10CH_MODE_CAPTURE_CHANNELS (AD_CH9_CAPTURE | AD_9CH_MODE_CAPTURE_CHANNELS) 

/*=========================================================*/
/*                 Structure Declaration                   */
/*=========================================================*/

/*=========================================================*/
/*                    Private Valiable                     */
/*=========================================================*/

/*=========================================================*/
/*                    Public Valiable                      */
/*=========================================================*/


#endif /* _INCLUDE_AS_RASP_H_ */

/* EOF */

